%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:		perl-XML-LibXSLT
Version:	1.79
Release:	1
Summary:	Perl module for interfacing to GNOME's libxslt
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/XML-LibXSLT/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PA/PAJAS/XML-LibXSLT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libxslt-devel >= 1.1.24-2
BuildRequires:	gdbm-devel >= 1.8.3-1
BuildRequires:	libgcrypt-devel >= 1.4.6-1
BuildRequires:	libgpg-error-devel >= 1.8-2
Requires:	libxslt >= 1.1.24-2
Requires:	gdbm >= 1.8.3-1
Requires:	libgcrypt >= 1.4.6-1
Requires:	libgpg-error >= 1.8-2
Requires:	perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:	perl >= 5.8.8
BuildRequires:	perl-XML-LibXML >= %{version}
Requires:	perl-XML-LibXML >= %{version}

%description
This module is a fast XSLT library, based on the Gnome libxslt engine
that you can find at http://www.xmlsoft.org/XSLT/


%prep
%setup -q -n XML-LibXSLT-%{version}
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS=vendor
make
cd ../32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc 32bit/Changes 32bit/README 32bit/benchmark 32bit/example
%{perl_vendorarch}/auto/*
%{perl_vendorarch64}/auto/*
%{perl_vendorarch}/XML
%{perl_vendorarch64}/XML
%{_mandir}/man3/*.3*


%changelog
* Wed Jan 30 2013 Michael Perzl <michael@perzl.org> - 1.79-1
- updated to version 1.79

* Wed Nov 16 2011 Michael Perzl <michael@perzl.org> - 1.75-1
- first version for AIX V5.1 and higher
